<?php
/************************************************************************/
/* DUNE by NPDS                                                         */
/* ===========================                                          */
/*                                                                      */
/* NPDS Copyright (c) 2002-2011 by Philippe Brunier                     */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
if (!function_exists("Access_Error")) { die(""); }
if (!stristr($_SERVER['PHP_SELF'],"admin.php")) { Access_Error(); }

function ConfigureBan($ModPath, $ModStart) {
   opentable();
   echo "<table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td class=\"header\">\n";
   echo ipban_translate("Administration de l'IpBan");
   echo "</td></tr></table>\n";

   opentable();
   // C'est bien admin.php qui appelé mais avec les codes opérations op ET subop
   echo"<form action=\"admin.php\" method=\"post\">";

   if (file_exists("slogs/spam.log")) {
      $fd = fopen ("slogs/spam.log", "r");
      while (!feof($fd)) {
         $ip_ban.= fgets($fd, 4096);
      }
      fclose ($fd);
   }

   echo "<p>".ipban_translate("Chaque ligne ne doit contenir q'une adresse IP de la forme : a.b.c.d:<b>X</b> (ex : 168.192.1.1:5)<br />si <b>X</b> >= 5 alors l'accès sera refusé<br /></br>Ce fichier est mise à jour automatiquement par l'anti-spam de NPDS.")."</p>";
   echo ipban_translate("Liste des IP")."<br /><textarea class=\"textbox\" name=\"ipban\" cols=\"60\" rows=\"20\">$ip_ban</textarea>\n<br /><br />";
   echo "<input class=\"bouton_standard\" type=\"submit\" value=\"".adm_translate("Sauver les modifications")."\" />";

   // lignes obligatoires pour pouvoir utiliser NPDS-plugins
   echo "<input type=\"hidden\" name=\"op\" value=\"Extend-Admin-SubModule\" />";
   echo "<input type=\"hidden\" name=\"ModPath\" value=\"$ModPath\" />";
   echo "<input type=\"hidden\" name=\"ModStart\" value=\"$ModStart\" />";
   // sous-opération du module
   echo "<input type=\"hidden\" name=\"subop\" value=\"SaveSetBan\" />";
   // lignes obligatoires pour pouvoir utiliser NPDS-plugins
   echo "</form>";
   closetable();

   closetable();
}

function SaveSetBan($Xip_ban) {
   $file = fopen("slogs/spam.log", "w");
      fwrite($file, $Xip_ban);
   fclose($file);

   SC_clean();
}

if ($admin) {
   // inclusion du fichier de traduction : L'origine est TOUJOURS le Français
   include ("modules/$ModPath/ipban.lang-$language.php");

   switch ($subop) {
       case "SaveSetBan":
       SaveSetBan($ipban);

       default:
       ConfigureBan($ModPath, $ModStart);
    break;
   }
}
?>